#
# spec file for package libmms
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0

Name:           libmms
Version:        0.6.4
Release:        4.4
# NOTE: there are files from the xine project with GPL headers in the source,
# but these were re-licensed to LGPLv2+ with the explicit permission of all
# contributors.
# Please see the README.LICENSE file and the xine mailing list discussions in
# libmms-relicensing-1.txt and libmms-relicensing-2.txt 

Summary:        MMS stream protocol library
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://www.sf.net/projects/%{name}
Source0:        %{name}-%{version}.tar.gz
Source1:        libmms-relicensing-1.txt
Source2:        libmms-relicensing-2.txt
Source3:        baselibs.conf
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(glib-2.0)
Patch0:         libmms-pkgconfig.patch
Patch1:         libmms-nognetexport.patch

%description
LibMMS is a common library for parsing mms:// and mmsh:// type network streams.
These are commonly used to stream Windows Media Video content over the web.
LibMMS itself is only for receiving MMS stream, it doesn't handle sending at
all.

%package -n %{name}%{soname}
Summary:        MMS stream protocol library
Group:          System/Libraries

%description -n %{name}%{soname}
LibMMS is a common library for parsing mms:// and mmsh:// type network streams.
These are commonly used to stream Windows Media Video content over the web.
LibMMS itself is only for receiving MMS stream, it doesn't handle sending at
all.

%package -n %{name}-devel
Summary:        Libmms development files
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}
Requires:       glibc-devel

%description -n %{name}-devel
Headers and libraries to program against %{name}

%prep
%setup -q
%patch0
%patch1

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%make_install
%{__rm} -f '%{buildroot}%{_libdir}/%{name}.la'
install -d -m 755 %{buildroot}%{_docdir}/%{name}%{soname}
install -m 644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}%{soname}
install -m 644 %{SOURCE2} %{buildroot}%{_docdir}/%{name}%{soname}

%post   -n %{name}%{soname} -p /sbin/ldconfig 
%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(0644, root, root, 0755)
%doc AUTHORS ChangeLog COPYING.LIB README README.LICENSE
%{_libdir}/%{name}.so.%{soname}*

%files -n %{name}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Apr 23 2014 sbrabec@suse.cz
- Update to version 0.6.4:
  * Fix a possible heap memory overrun (bnc#874723, CVE-2014-2892).
  * Some changes for more recent automake versions.
  * Remove glib dependency.
  * Fix several issues that prevented seeking from working.
  * Remove dependency on iconv.
  * Fix connecting to certain mms streams.
* Sun Mar 24 2013 crrodriguez@opensuse.org
- libmms-nognetexport.patch: libmms
  exports functions that belong to gnome's gnet
  library, that will of course cause symbol clashes.
  We cannot just link to the system's gnet because it uses
  and slightly older API, just hide the symbols instead.
* Thu Nov 22 2012 crrodriguez@opensuse.org
- libmms-pkgconfig.patch: DO not inject bogus build
  dependencies via pkgconfig files, in this case glib2 which
  will pull pcre and so on...
* Mon Mar  5 2012 toddrme2178@gmail.com
- Added 32bit-compatibility package, needed by
  gstreamer-0_10-plugins-bad-32bit
* Tue Sep 20 2011 toddrme2178@gmail.com
- Changed one remaining case of %%{name}0 to %%{name}%%{soname}
- Removed some extraneous spaces
* Fri Sep 16 2011 toddrme2178@gmail.com
- Added xine mailing list discussions about LGPL relicensing of
  xine code
- Added note in spec file about LGPL relicensing of xine code
* Thu Aug  4 2011 toddrme2178@gmail.com
- Switch to stored tarball rather that using the download service
* Sun Jan 23 2011 reddwarf@opensuse.org
- Update to 0.6.2
